( function( $ ) {
    $( document ).ready(function(){

        $('.download-sales-table').click(function(e){
            e.preventDefault() ;

            tableToCSV() ;
        }) ;

        $('.download-summary-table').click(function(e){
            e.preventDefault() ;

            summaryToCSV() ;
        }) ;

    }) ;

    function tableToCSV() {

        // Variable to store the final csv data
        var csv_data = [];
    
        // Get each row data
        var rows = $('tr.export_table') ;
        for (var i = 0; i < rows.length; i++) {
    
            // Get each column data
            var cols = rows[i].querySelectorAll('td,th');
    
            // Stores each csv row data
            var csvrow = [];
            for (var j = 0; j < cols.length; j++) {
    
                // Get the text data of each cell of
                // a row and push it to csvrow
                csvrow.push(cols[j].innerHTML);
            }
    
            // Combine each column value with comma
            csv_data.push(csvrow.join(","));
        }
        // combine each row data with new line character
        csv_data = csv_data.join('\n');
    
        downloadCSVFile( csv_data, 'SalesTaxReport' ) ;
    }

    function summaryToCSV() {

        // Variable to store the final csv data
        var csv_data = [];
    
        // Get each row data
        var rows = $('tr.export_summary') ;
        for (var i = 0; i < rows.length; i++) {
    
            // Get each column data
            var cols = rows[i].querySelectorAll('td,th');
    
            // Stores each csv row data
            var csvrow = [];
            for (var j = 0; j < cols.length; j++) {
    
                // Get the text data of each cell of
                // a row and push it to csvrow
                csvrow.push(cols[j].innerHTML);
            }
    
            // Combine each column value with comma
            csv_data.push(csvrow.join(","));
        }
        // combine each row data with new line character
        csv_data = csv_data.join('\n');
    
        downloadCSVFile( csv_data, 'SummaryTaxReport' ) ;
    }

    function downloadCSVFile(csv_data, file_name) {

        // Create CSV file object and feed our
        // csv_data into it
        CSVFile = new Blob([csv_data], { type: "text/csv" });
    
        // Create to temporary link to initiate
        // download process
        var temp_link = document.createElement('a');
    
        // Download csv file
        temp_link.download = file_name + "-" + Date.now() + ".csv";
        var url = window.URL.createObjectURL(CSVFile);
        temp_link.href = url;
    
        // This link should not be displayed
        temp_link.style.display = "none";
        document.body.appendChild(temp_link);
    
        // Automatically click the link to trigger download
        temp_link.click();
        document.body.removeChild(temp_link);
    }
    
    

} ( jQuery ) );